const arrayOfInt = [1, 22, 3, 45, 6, 6, 7, 78, 67];
const newArray = { ...arrayOfInt, 2: 2 }; // {0:1, 1:22, 2:3, 3:45, 4:6, 5:6, 6:7, 7:78, 8:67} // angenommen als object mit den mehreren Eigenschaften
console.log(newArray);

const array1 = [1, 2, 3];
const array2 = [4, 5, 6];
const arrayMerged1 = [...array1, ...array2]; // da sind array1 und array2 der Zahlen ins ein Array verschmolzen
                                                                                            // [1, 2, 3, 4, 5, 6]
const arrayMerged2 = [array1, array2]; // da sind zwei Objekte mit ihrem Inhalt der Zahlen
                                                                                            // 0: (3) [1, 2, 3]
                                                                                            // 1: (3) [4, 5, 6]

console.log(arrayMerged1);
console.log(arrayMerged2);
console.log(`Merged array: ${arrayMerged2}`);
console.log(`Merged array: ${arrayMerged1}`);
console.log(...array1, ...array2); // Die Ausgabe wird ein String der Zahlen "1 2 3 4 5 6 7 8 9" sein

function spread_(...arrayOfInt) {
  // rest operator verwendet in der Function(es ist als multi-parameter angenommen)
  return arrayOfInt.sort();
}
console.log(spread_(arrayOfInt));
